使用方法:先把下面的代码复制,再打开CAD,工具-AutoLIST-VISUAL LISP编辑器-新建-粘贴-保存-退出 
再之就工具-AutoLIST-加载应用程序,找到你保存的那个东东,加载,关闭退出,输入ZBBZ就可以啦!!!!! 

 

  1. (defun C:zbbz( / zb gd cld osm ) 
     
  2.   (setq osm (getvar"osmode")) 
     
  3.   (setvar "osmode" 33) 
     
  4.   (setq gd (getreal "指定标注文字高度:>")) 
     
  5.   (if (= gd nil) (setq gd 0.5)) 
     
  6.   (while (setq zb (getpoint "指定坐标点:")) 
     
  7.    
     
  8.   (setq cld(getpoint  zb  "指定文字插入点:")) 
     
  9.    
     
  10.   (entmake (list 
     
  11.        '(0 . "LINE") 
     
  12.        '(67 . 0) 
     
  13.       '(8 . "0") 
     
  14.       (list  10  (car zb)  (cadr zb) 0) 
     
  15.       (list 11 (car cld) (cadr cld)  0) 
     
  16.       '(210 0.0 0.0 1.0) 
     
  17.       ) 
     

  18.  
  19.   (entmake (list 
     
  20.       '(0 . "text") 
     
  21.        (list 10  (+ (car cld) gd)  (car(cdr cld)) ) 
     
  22.        (cons 40 gd) 
     
  23.        (cons 1 ( strcat  "X="  (rtos (cadr zb)  2 3))) 
     
  24.       '(50 . 0) 
     
  25.       ) 
     
  26.     ) 
     
  27.   (entmake (list 
     
  28.       '(0 . "text") 
     
  29.        (list 10  (+ (car cld) gd) 
     
  30.           (- (car(cdr cld))  (+ gd (/ gd 3))  ) 
     
  31.           ) 
     
  32.        (cons 40 gd) 
     
  33.        (cons 1 (strcat "Y="(rtos (car zb) 2 3))) 
     
  34.       '(50 . 0) 
     
  35.       ) 
     
  36.     ) 
     

  37.  
  38.   (setvar "osmode" osm) 
     
  39.   (princ) 
     
  40.    
     
  41.   )
复制代码